<div class="container" fxLayout="row" fxLayoutAlign="center center">
    <mat-card fxFlex="90%" fxFlex.gt-xs="50%" fxFlex.gt-md="25%" fxLayout="column" fxLayoutAlign="space-evenly center">
        <mat-card-header>
            <mat-card-title>
                Login
            </mat-card-title>
        </mat-card-header>
        <mat-card-content class="width">
            <form [formGroup]="loginForm" fxLayout="column">
                <mat-form-field appearance="outline">
                    <mat-label>Email *</mat-label>
                    <input matInput formControlName="email">
                    <mat-icon matSuffix>email</mat-icon>
                </mat-form-field>
                <mat-form-field appearance="outline">
                    <mat-label>Password</mat-label>
                    <input type="password" matInput formControlName="password">
                    <mat-icon matSuffix>password</mat-icon>
                </mat-form-field>
            </form>
        </mat-card-content>
        <mat-card-actions fxLayout="column" class="width">
            <button (click)="onSubmit()" mat-raised-button color="primary" [disabled]="!loginForm.valid">Login</button>
            <br>
            <p> Don't have an account? Register <a routerLink="/register">here</a></p>
        </mat-card-actions>
    </mat-card>
</div>